# 
# Synthesis run script generated by Vivado
# 

set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7a100tcsg324-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir C:/Users/rohit/xilinx_project/fpmul_multicycle/fpmul/fpmul.cache/wt [current_project]
set_property parent.project_path C:/Users/rohit/xilinx_project/fpmul_multicycle/fpmul/fpmul.xpr [current_project]
set_property XPM_LIBRARIES XPM_CDC [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language Verilog [current_project]
add_files -quiet c:/Users/rohit/xilinx_project/fpmul_multicycle/fpmul/fpmul.srcs/sources_1/ip/fpmul_vio/fpmul_vio.dcp
set_property used_in_implementation false [get_files c:/Users/rohit/xilinx_project/fpmul_multicycle/fpmul/fpmul.srcs/sources_1/ip/fpmul_vio/fpmul_vio.dcp]
add_files -quiet C:/Users/rohit/xilinx_project/fpmul_multicycle/fpmul/fpmul.srcs/sources_1/ip/clk_dcm/clk_dcm.dcp
set_property used_in_implementation false [get_files C:/Users/rohit/xilinx_project/fpmul_multicycle/fpmul/fpmul.srcs/sources_1/ip/clk_dcm/clk_dcm.dcp]
read_verilog -library xil_defaultlib {
  C:/Users/rohit/xilinx_project/fpmul_multicycle/fpmul_multicycle.v
  C:/Users/rohit/xilinx_project/fpmul_multicycle/fpmul_fpga_top.v
}
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}
read_xdc C:/Users/rohit/xilinx_project/fpmul_multicycle/fpmul/fpmul.srcs/constrs_1/new/fpmul_fpga_top.xdc
set_property used_in_implementation false [get_files C:/Users/rohit/xilinx_project/fpmul_multicycle/fpmul/fpmul.srcs/constrs_1/new/fpmul_fpga_top.xdc]


synth_design -top fpmul_fpga_top -part xc7a100tcsg324-1


write_checkpoint -force -noxdef fpmul_fpga_top.dcp

catch { report_utilization -file fpmul_fpga_top_utilization_synth.rpt -pb fpmul_fpga_top_utilization_synth.pb }
